<template>
  <div class="custom_load_icon">
    <div class="item"></div>
    <div class="item"></div>
    <div class="item"></div>
  </div>
</template>
<style lang="scss" scoped>
.custom_load_icon {
  // width: 24px;
  // height: 24px;
  position: relative;
  // background: url(@/assets/images/loading.png) no-repeat -1px -2px;
  background-size: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 0.5vh;
  .item {
    width: 10px;
    height: 0.83vh;
    border-radius: 50%;
    background-color: #d3dbfa;
    margin: 0 6px;
    &:first-child {
      animation: ani1 1.5s infinite steps(2);
    }
    &:nth-child(2) {
      animation: ani2 1.5s infinite steps(2);
    }
    &:nth-child(3) {
      animation: ani3 1.5s infinite steps(2);
    }
  }
}

@keyframes ani1 {
  0% {
    transform: scale(1.3); /* 初始大小 */
  }
  50% {
    transform: scale(1); /* 放大到1.5倍 */
  }
  100% {
    transform: scale(1); /* 又缩小回初始大小 */
  }
}
@keyframes ani2 {
  0% {
    transform: scale(1); /* 初始大小 */
  }
  50% {
    transform: scale(1.3); /* 放大到1.5倍 */
  }
  100% {
    transform: scale(1); /* 又缩小回初始大小 */
  }
}
@keyframes ani3 {
  0% {
    transform: scale(1); /* 初始大小 */
  }
  50% {
    transform: scale(1); /* 放大到1.5倍 */
  }
  100% {
    transform: scale(1.3); /* 又缩小回初始大小 */
  }
}
</style>
